org.apache.cassandra.service.pager

## Class PagingState

- java.lang.Object
- - org.apache.cassandra.service.pager.PagingState

    public class PagingState
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `PagingState.RowMark` Marks the last row returned by paging, the one from which paging should continue.

### Field Summary

Fields
`java.nio.ByteBuffer` `partitionKey`
`int` `remaining`
`int` `remainingInPartition`
`PagingState.RowMark` `rowMark`

### Constructor Summary

Constructors
Constructor and Description
`PagingState(java.nio.ByteBuffer partitionKey, PagingState.RowMark rowMark, int remaining, int remainingInPartition)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PagingState` `deserialize(java.nio.ByteBuffer bytes, ProtocolVersion protocolVersion)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.nio.ByteBuffer` `serialize(ProtocolVersion protocolVersion)`
`int` `serializedSize(ProtocolVersion protocolVersion)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### partitionKey

    public final java.nio.ByteBuffer partitionKey

#### rowMark

    public final PagingState.RowMark rowMark

#### remaining

    public final int remaining

#### remainingInPartition

    public final int remainingInPartition

### Constructor Detail

#### PagingState

    public PagingState(java.nio.ByteBuffer partitionKey,
                       PagingState.RowMark rowMark,
                       int remaining,
                       int remainingInPartition)

### Method Detail

#### deserialize

    public static PagingState deserialize(java.nio.ByteBuffer bytes,
                                          ProtocolVersion protocolVersion)

#### serialize

    public java.nio.ByteBuffer serialize(ProtocolVersion protocolVersion)

#### serializedSize

    public int serializedSize(ProtocolVersion protocolVersion)

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`